import { requestClient } from '#/api/request';

const prefix = 'admin/';
/**
 * 分页查询用户列表
 * @param data
 */
export async function getAdminList(data: any) {
  return requestClient.get<any>(`${prefix}list`, { params: data });
}
/**
 * 分页查询用户列表
 * @param data
 */
export async function getAdminAccountBalance(data: any = {}) {
  return requestClient.get<any>(`${prefix}my-balance`, { params: data });
}

/**
 * 获取管理员详情
 * @param id
 */
export async function getAdminInfo(id: number) {
  return requestClient.get<any>(`${prefix}detail`, { params: { id } });
}

/**
 * 新增管理员
 * @param data
 */
export async function createAdmin(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}create`, data);
}

/**
 * 编辑管理员
 * @param data
 */
export async function updateAdmin(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}update`, data);
}

/**
 * 删除管理员
 * @param data
 */
export async function deleteAdmin(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}delete`, data);
}

/**
 * 修改密码
 * @param data
 */
export async function updatePassword(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}update-password`, data);
}

/**
 * 删除管理员
 * @param id
 */
export async function resetPassword(id: number) {
  return requestClient.post<any>(`${prefix}reset-password`, {
    id,
  });
}

/**
 * 获取我绑定的银行卡
 */
export async function getMyCard() {
  return requestClient.get<any>(`${prefix}my-card`);
}

/**
 * 获取我绑定的银行卡
 */
export async function getQuickMenuApi() {
  return requestClient.get<any>(`${prefix}get-quick-menu`);
}

/**
 * 编辑账户绑定银行卡
 * @param data
 */
export async function saveCard(data: Record<string, any>) {
  return requestClient.post<any>(`${prefix}save-card`, data);
}
